Bug 253724 - Wrong name of playback controls on Macbook Pro
Wrong name of playback controls on Macbook Pro
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 10:40 EDT by Alexey Kuznetsov
Modified: 2008-06-16 22:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log (58.61 KB, text/plain)
2007-09-11 15:01 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2007-08-21 10:40:11 EDT
Description of problem:
Wrong name of playback controls on my MacBookPro when i run Gnome Volume Control
or alsamixer.

Version-Release number of selected component (if applicable):
Fedora7
alsa-lib-1.0.14-3.fc7
alsa-lib-devel-1.0.14-3.fc7
alsa-utils-1.0.14-1.fc7

How reproducible:
alltime.
  
Actual results:
Center playback - is real left sided playback
LFE playback - is real right playback
Front - not apper to volume

Expected results:
Front - control all sounds;
Left and right playback in right place.


Additional info:
for hear any sounds turn on switch "Line In as Output"
Comment 1 Martin Stransky 2007-09-10 06:26:34 EDT
Can you please attach /root/scsconfig.log? I can be created by
system-config-soundcard. 

Anyway, that channel names have to be fixed in kernel/drivers. Please report it
to ALSA-project (www.alsa-project.org), they should fix that for all distros.
Comment 2 Alexey Kuznetsov 2007-09-11 15:01:51 EDT
Created attachment 192881 [details]
scsconfig.log
Comment 3 Alexey Kuznetsov 2007-09-12 15:44:43 EDT
Additional problem, default output set to Headphones output. If i use check box
in Volume Control 'Line in as Output' then sound come from notebook speakers.
Comment 5 Martin Stransky 2007-09-25 05:49:35 EDT
reassigning to kernel, it's a drivers problem(s).
Comment 6 Christopher Brown 2007-09-27 15:17:15 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? I have added an ALSA
blocker bug in order that your issue is seen by the right people.

However if the problem no longer exists then please close this bug or I'll do so
in a few days if there is no additional information lodged.
Comment 7 Alexey Kuznetsov 2007-09-27 15:31:02 EDT
Thank for help. I updated to last kernel and only one bug fixed:
- Front now work in right case.
Comment 8 Alexey Kuznetsov 2007-10-01 20:56:05 EDT
After last update Front control dont work again.
Comment 9 Christopher Brown 2008-01-11 12:41:41 EST
Hello Alexey,

Still having problems? Could I trouble you for an update on this?

Removing ALSA blocker bug.
Comment 10 Alexey Kuznetsov 2008-01-11 12:48:02 EST
I switched to Fedora 8 already. But i still have problems, and explain it in 5 days.
Comment 11 Alexey Kuznetsov 2008-01-13 12:07:33 EST
Now alsa recognize my headphones and when i connect it to notebook everything
work fine:
master volume affect music volume, all other sliders (front, surround, center,
lfe) enabled but don't make any sense.

When my headphones not connected, Master volume don't work, for control sound
volume i use 'front' slider. That look like a bug.

sound recording work fine under skype 1.4.0.118 without additional configuring.
Comment 12 Bug Zapper 2008-05-14 10:04:26 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 22:12:52 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.